Package Details: python2-pytzdata 2018.3-1

Git Clone URL: https://aur.archlinux.org/python-pytzdata.git (read-only)
Package Base: python-pytzdata
Description: Official timezone database for Python.
Upstream URL: https://pypi.python.org/pypi/pytzdata
Keywords: data official python timezone
Licenses: MIT
Submitter: kbabioch
Maintainer: kbabioch
Last Packager: kbabioch
Votes: 2
Popularity: 0.000001
First Submitted: 2016-12-19 18:24
Last Updated: 2018-05-01 08:48

Latest Comments

kbabioch commented on 2019-05-19 16:41

Upstream changed the packaging and are now using poetry. Couldn't figure out how to package this and didn't have time and/or inclination to investigate this. If someone wants to take over this package or contribute on how to bump this, let me know.

kseistrup commented on 2019-05-16 17:13

Latest version is now 2019.1 – please update.

azmo commented on 2017-09-29 06:59

Thanks for that update!

Well, I am not entirely sure about the issue, either - but I guess the route you have taken is the correct one. About the community packages: Maybe they aren't using setuptools at all? Do you have an example for me, quite curious about this since I do quite a bit of python development myself.

I am using automated builds of my installed AUR packages in a very minimal and clean docker container, so I tripped over this - and on some other python packages I build lately.

kbabioch commented on 2017-09-28 12:40

@azmo: Thank you for your feedback. I think it makes sense, but I'm not entirely sure. Are there any packaging guidelines for Python packages that deal with this?

I found something in the Wiki, which probably means you are right [1]. On the other hand there are a lot of packages in community, which don't specify this is a dependency?

For now I've changed it according to your recommendation, hopefully it does not break anything else ;). I've also bumped to version to 2017.2.2.

[1]: https://wiki.archlinux.org/index.php/Python_package_guidelines#setuptools
[2]: https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/pycrypto

azmo commented on 2017-09-28 12:11

Shouldn't there be a makedepends on python-setuptools and python2-setuptools? In a clean environment build fails with

Traceback (most recent call last):
File "setup.py", line 4, in <module>
from setuptools import setup, find_packages
ImportError: No module named setuptools